Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "9da36b99-d521-4a21-837f-2ca2391f649d",
"purchase_order_id": "bc585972-5479-48f5-87bd-4291ea90c56b",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "f0e9c630-a76f-4b4c-9c21-5187d1fd6c05",
"id2": 2,
"jobs_id": "f2cdb6d5-fbcd-47ca-97e3-9c8539fa645d",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "1a83aee8-290b-44e1-bd29-731ed06f0b26",
"supplier_company_code": "sample string 6",
"user_id": "3db399c6-b52c-42cb-b669-877a2ab055bb",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-12T05:10:34.2930538+00:00",
"date_update": "2026-10-12T05:10:34.2930538+00:00",
"date_delivery": "2026-10-12T05:10:34.2930538+00:00",
"confirmed_date_delivery": "2026-10-12T05:10:34.2930538+00:00",
"delivery_db_address_id": "7d24d627-7134-4c6e-bc0d-041d2b3035d8",
"approved_by_user_id": "5df573cd-55bd-4ed1-bd91-1474ae15f600",
"approved_by_user_code": "sample string 18",
"technical_user_id": "430e2d0f-74bf-4889-b9f7-8437e557cb39",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "78955458-ae91-488e-856b-153b6d15ac3a",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "4ebf8825-528e-4431-88f9-bb8033ab520f",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-12T05:10:34.2930538+00:00"
},
"article_id": "8f3e718f-d3f1-43c6-b56f-eb07e42fc4f9",
"article_code": "sample string 5",
"article": {
"id": "d3c2b69a-0e54-4a51-85b2-027dff831dc1",
"article_category_id": "7831f33c-5874-4112-b3d5-e7462dccbf13",
"article_category": {
"id": "bb377785-1414-4ca3-8128-7126bd70880b",
"parent_id": "0b972543-5cd0-4207-82a2-0b477836ea1d",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-12T05:10:34.2930538+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "5059adf3-2bb0-4a12-bdfd-994a78aa4fee",
"article_group_1_code": "sample string 5",
"article_group_2_id": "894fd279-aad9-4485-9cc8-d712ee2dae32",
"article_group_2_code": "sample string 7",
"article_group_3_id": "a7fa7473-f6d2-47d8-8e23-2e2711946c4f",
"article_group_3_code": "sample string 9",
"article_group_4_id": "75e0a1e5-3e97-4840-a1ac-d8fd66bab502",
"article_group_4_code": "sample string 11",
"article_group_5_id": "f99d6612-22b7-4a83-8c9b-fc42425627a0",
"article_group_5_code": "sample string 13",
"article_group_6_id": "d31a6e31-db48-4de6-803d-71efaca845ee",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-12T05:10:34.3055328+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-12T05:10:34.3055328+00:00",
"date_update": "2026-10-12T05:10:34.3055328+00:00",
"modified_dateutc": "2026-10-12T05:10:34.3055328+00:00",
"article_color_id": "4246213f-2d01-4406-b60a-1f34a9c0dfef",
"article_color_code": "sample string 38",
"article_color": {
"id": "6ea96087-219b-4f02-b175-29add8702608",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-12T05:10:34.3055328+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "288d9dcb-fa73-48b4-ab7e-22086f8cde21",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "fdf991de-3fca-4e30-b9ab-53c7871a1757",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-12T05:10:34.3226082+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.